<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 */

get_header();

$description = get_the_archive_description();
?>

<?php if ( have_posts() ) : ?>

    <div class="canvi-c-archive-header">
		<?php if ( $description ) : ?>
            <div class="canvi-c-archive-header__description archive-description"><?php echo wp_kses_post( wpautop( $description ) ); ?></div>
		<?php endif; ?>
    </div><!-- .page-header -->

    <div class="canvi-l-archive <?php canvi_filter_page_layout_class() ?>">

        <div class="canvi-l-archive__articles <?php canvi_filter_archive_articles_class() ?>">
			<?php while ( have_posts() ) : ?>
				<?php the_post(); ?>
				<?php get_template_part( 'template-parts/content/content', get_theme_mod( 'display_excerpt_or_full_post', 'excerpt' ) ); ?>
			<?php endwhile; ?>
        </div>

		<?php

		if ( is_active_sidebar( 'main_sidebar' ) ) :

			?>
            <div class="canvi-l-archive__sidebar">
				<?php get_template_part( 'template-parts/layout/main-sidebar' ); ?>
            </div>

		<?php endif; ?>
    </div>
	<?php canvi_the_posts_navigation(); ?>

<?php else : ?>
	<?php get_template_part( 'template-parts/content/content-none' ); ?>
<?php endif; ?>

<?php get_footer(); ?>
