<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 */

?>
</main>
</div>
</div>


<footer id="colophon" class="canvi-s-footer site-footer" role="contentinfo">

    <div class="canvi-s-footer__body canvi-c-columns --align-right">
        <div class="canvi-s-footer__body__info canvi-c-columns__item --force-left">
			<?php if ( has_custom_logo() ) : ?>
                <div class="canvi-s-footer__body__info__logo"><?php the_custom_logo(); ?></div>

			<?php else : ?>
				<?php if ( get_bloginfo( 'name' ) && get_theme_mod( 'display_title_and_tagline', TRUE ) ) : ?>
					<?php if ( is_front_page() && ! is_paged() ) : ?>
                        <h6 class="canvi-s-footer__body__info__tagline"><?php bloginfo( 'name' ); ?></h6>
					<?php else : ?>
                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>"
                           class="canvi-s-footer__body__info__logo"><?php bloginfo( 'name' ); ?></a>
					<?php endif; ?>
				<?php endif; ?>
			<?php endif;

			canvi_footer_description();

			if ( has_nav_menu( 'social_menu' ) ) : ?>

                <div class="canvi-c-social-menu">
					<?php wp_nav_menu( array(
						'items_wrap'     => '%3$s',
						'walker'         => new Canvi_WO_Nav_Social_Walker(),
						'container'      => TRUE,
						'menu_class'     => '',
						'theme_location' => 'social_menu',
						'fallback_cb'    => FALSE
					) ); ?>
                </div>

			<?php endif; ?>

        </div>

		<?php get_template_part( 'template-parts/footer/footer-widgets' ); ?>

    </div>

    <div class="canvi-s-footer__bottom site-info">

		<?php
		canvi_copyright( ' canvi-s-footer__bottom__powered-by' );


		if ( has_nav_menu( 'footer_pages' ) ) : ?>

            <div class="canvi-s-footer__bottom__menu">
				<?php wp_nav_menu( array(
					'items_wrap'     => '<ul id="footer-menu-list" class="%2$s">%3$s</ul>',
					'container'      => '',
					'depth'          => 1,
					'menu_class'     => '',
					'theme_location' => 'footer_pages',
					'fallback_cb'    => FALSE
				) ); ?>
            </div>

		<?php endif; ?>

    </div><!-- .site-info -->
</footer><!-- #colophon -->

</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
