<?php


if ( ! class_exists( 'Canvi' ) ) {

	/**
	 * Root Class for initialize
	 */
	class Canvi {

		private static $instance;
		private static $theme_mods;
		public static $layout;
		private static $setup;
		private static $customizer;
		public $config;
		public $settings;


		/**
		 * Get only one instance
		 */
		public static function get_instance() {

			if ( ! isset( self::$instance ) ) {

				self::$instance = new self();


			}

			return self::$instance;

		}


		private function __construct() {


			$this->config = Canvi_Config::get_instance();


			// Create theme classes and inject config & settings


			self::$customizer = Canvi_Customizer::get_instance( $this->config, $this->settings );
			self::$setup      = Canvi_Setup::get_instance( $this->config, $this->settings );


			//main layout class

			self::$layout = Canvi_Layout::get_instance( $this->config, $this->settings );

			Canvi_Assets::get_instance( $this->config, $this->settings );
			Canvi_Content::get_instance( $this->config, $this->settings );
			Canvi_Navigation::get_instance( $this->config, $this->settings );

			// Class for admin area
			if ( is_user_logged_in() ) {

				Canvi_Admin::get_instance( $this->config, $this->settings );

			}

		}


		public static function layout() {

			return self::$layout;

		}

		public static function setup() {

			self::$setup->theme_setup();

		}


	}
}