<?php


use WPTRT\Customize\Section\Button;

/*
 * Register Canvi activation function
 */
add_action('admin_menu', 'canvi_theme_activation_start_options', 999);

/*
 * Create the function that build menu
 */

function canvi_theme_activation_start_options()
{
    add_theme_page(__('Canvi Pro', 'canvi'), __('Canvi Pro', 'canvi'), 'manage_options', 'canvi_activation', 'canvi_activation_starter_display');

}

/*
 * Create a function that displays the contents of the options page
 */

function canvi_activation_starter_display()
{
    if (!current_user_can('manage_options')) {
        wp_die(__('You do not have sufficient permissions to access this page.', 'canvi'));
    }


    ?>
    <div class="wrap">
        <h2><?php _e('Canvi Premium', 'canvi') ?></h2>


        <div class="welcome-panel">
            <h1 style="font-size: 36px; line-height: 1.2; max-width: 1200px"><?php _e('Need advanced layouts and theme support? Learn more about Canvi Premium!', 'canvi') ?></h1>

            <p class="about-description" style="padding-top: 20px"><a
                    href="https://rocksite.pro/canvi/customizer-redirect/" target="_blank">Canvi
                    Premium</a> <?php _e('adds exciting new customization features to the Customizer and other powerful customization tools like shortcodes or layout options.', 'canvi') ?>
            </p>

            <div id="col-container" style="padding-top: 50px;">
                <div id="col-left" style="float: left">
                    <div class="col-wrap">
                        <h2 style=""><?php _e('Listed below are only the extras that the paid version brings:', 'canvi'); ?></h2>
                        <ul style="list-style-type:disc; padding: 10px 20px;margin-left: 20px">
                            <li><?php _e('Advanced Elementor Integration', 'canvi'); ?></li>
                            <li><?php _e('One Click Demo Import', 'canvi'); ?></li>
                            <li><?php _e('Prebuilt layouts and sections', 'canvi'); ?></li>
                            <li><?php _e('More Gutenberg componets: Sections, Sliders, Accordions', 'canvi'); ?></li>
                            <li><?php _e('SCSS, gulp and living style kit', 'canvi'); ?></li>
                            <li><?php _e('Source files included', 'canvi'); ?></li>
                            <li><?php _e('Incredible Support', 'canvi'); ?></li>
                            <li><?php _e('and much more...', 'canvi'); ?></li>
                        </ul>
                    </div>
                </div>
                <div id="col-right">
                    <div class="col-wrap">
                        <img src="<?php echo esc_url(get_template_directory_uri()) ?>/starter/images/screen-canvi-premium.jpg"
                             alt="Canvi Pro" style="max-width: 100%"/>
                    </div>
                </div>
            </div>
            <p><a href="https://rocksite.pro/canvi/customizer-redirect/"
                  target="_blank"><?php _e('More Info', 'canvi') ?> &raquo;</a></p></p>

        </div>

    </div>
<?php }





add_action( 'customize_register', function( $manager ) {

    require_once CANVI_THEME_CLASSES . 'vendors/customize-section-button/src/Button.php';

    $manager->register_section_type( Button::class );

    $manager->add_section(
        new Button( $manager, 'Canvi_pro', [
            'title'       => __( 'Canvi Pro version', 'canvi' ),
            'button_text' => __( 'Upgrade',        'canvi' ),
            'button_url'  => 'https://rocksite.pro/canvi/customizer-redirect/',
            'priority' => 1
        ] )
    );

} );


add_action( 'customize_controls_enqueue_scripts', function() {

    $version = wp_get_theme()->get( 'Version' );

    wp_enqueue_script(
        'wptrt-customize-section-button',
        get_theme_file_uri( 'inc/rocksite-lib/classes/vendors/customize-section-button/public/js/customize-controls.js' ),
        [ 'customize-controls' ],
        $version,
        true
    );

    wp_enqueue_style(
        'wptrt-customize-section-button',
        get_theme_file_uri( 'inc/rocksite-lib/classes/vendors/customize-section-button/public/css/customize-controls.css' ),
        [ 'customize-controls' ],
        $version
    );

} );