<?php

if ( function_exists( 'shared_counts' ) ) {


	add_action( 'wp_enqueue_scripts', 'canvi_deregister_plugin_styles', 10 );


	function canvi_deregister_plugin_styles() {

		$options = shared_counts()->admin->options();

		if ( isset( $options['style'] ) && $options['style'] == 'classic' ) {

			wp_deregister_style( 'shared-counts' );


		}


	}

	/**
	 * Move Shared Counts
	 * @see http://sharedcountsplugin.com/2019/03/27/change-the-theme-location-for-share-buttons/
	 *
	 * @param array $locations
	 *
	 * @return array
	 */
	function canvi_shared_counts( $locations ) {
		$locations['before']['hook']   = 'canvi_action_share_buttons';
		$locations['before']['filter'] = FALSE;

		return $locations;
	}

	add_filter( 'shared_counts_theme_locations', 'canvi_shared_counts' );

	function canvi_shared_counts_after( $locations ) {
		$locations['after']['hook']   = 'canvi_action_share_buttons_after';
		$locations['after']['filter'] = FALSE;

		return $locations;
	}

	add_filter( 'shared_counts_theme_locations', 'canvi_shared_counts_after' );


}






