<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 */

get_header();

if ( have_posts() ) {
	?>
    <header class="canvi-c-archive-header default-max-width">
        <h1 class="page-title">
			<?php
			printf(
			/* translators: %s: search term. */
				esc_html__( 'Results for "%s"', 'canvi' ),
				'<span class="page-description search-term">' . esc_html( get_search_query() ) . '</span>'
			);
			?>
        </h1>
        <div class=" search-result-count default-max-width">
			<?php
			printf(
				esc_html(
				/* translators: %d: the number of search results. */
					_n(
						'We found %d result for your search.',
						'We found %d results for your search.',
						(int) $wp_query->found_posts,
						'canvi'
					)
				),
				(int) $wp_query->found_posts
			);
			?>
        </div><!-- .search-result-count -->
    </header><!-- .page-header -->


    <div class="canvi-l-archive">

    <div class="canvi-l-archive__articles default-max-width">
	<?php
	// Start the Loop.
	while ( have_posts() ) {
		the_post();

		/*
		 * Include the Post-Format-specific template for the content.
		 * If you want to override this in a child theme, then include a file
		 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
		 */
		get_template_part( 'template-parts/content/content-excerpt', get_post_format() );
	} // End the loop.

	// Previous/next page navigation.
	canvi_the_posts_navigation();

	// If no content, include the "No posts found" template.
} else {

	get_template_part( 'template-parts/content/content-none' );

}
?>
    </div>
    </div>
<?php

get_footer();

?>