<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 */

get_header();

/* Start the Loop */
while ( have_posts() ) :
	the_post();

	get_template_part( 'template-parts/content/content-single' );

	if ( is_attachment() ) {
		// Parent post navigation.
		the_post_navigation(
			array(
				/* translators: %s: parent post link. */
				'prev_text' => sprintf( __( '<span class="meta-nav">Published in</span><span class="post-title">%s</span>', 'canvi' ), '%title' ),
			)
		);
	}

	// Previous/next post navigation.
	$canvi_next = is_rtl() ? canvi_get_icon_svg( 'ui', 'arrow_left' ) : canvi_get_icon_svg( 'ui', 'arrow_right' );
	$canvi_prev = is_rtl() ? canvi_get_icon_svg( 'ui', 'arrow_right' ) : canvi_get_icon_svg( 'ui', 'arrow_left' );

	$canvi_post_type      = get_post_type_object( get_post_type() );
	$canvi_post_type_name = '';
	if (
		is_object( $canvi_post_type ) &&
		property_exists( $canvi_post_type, 'labels' ) &&
		is_object( $canvi_post_type->labels ) &&
		property_exists( $canvi_post_type->labels, 'singular_name' )
	) {
		$canvi_post_type_name = $canvi_post_type->labels->singular_name;
	}

	/* translators: %s: The post-type singlular name (example: Post, Page etc) */
	$canvi_next_label = sprintf( esc_html__( 'Next %s', 'canvi' ), $canvi_post_type_name );
	/* translators: %s: The post-type singlular name (example: Post, Page etc) */
	$canvi_previous_label = sprintf( esc_html__( 'Previous %s', 'canvi' ), $canvi_post_type_name );

	the_post_navigation(
		array(
			'next_text' => '<p class="meta-nav">' . $canvi_next_label . $canvi_next . '</p><p class="post-title">%title</p>',
			'prev_text' => '<p class="meta-nav">' . $canvi_prev . $canvi_previous_label . '</p><p class="post-title">%title</p>',
		)
	);

	// If comments are open or there is at least one comment, load up the comment template.
	if ( comments_open() || get_comments_number() ) {
		comments_template();
	}


endwhile; // End of the loop.

get_footer();
