<?php
/**
 * Canvi Starter Content
 *
 * @link https://make.wordpress.org/core/2016/11/30/starter-content-for-themes-in-4-7/
 *
 */

/**
 * Function to return the array of starter content for the theme.
 *
 * Passes it through the `canvi_starter_content` filter before returning.
 *
 * @return array A filtered array of args for the starter_content.
 *
 *
 */
function canvi_get_starter_content() {

	// Define and register starter content to showcase the theme on new sites.
	$starter_content = array(

		// Specify the core-defined pages to create and add custom thumbnails to some of them.
		'posts'     => array(
			'front' => array(
				'post_type'    => 'page',
				'post_title'   => esc_html_x( 'Create your website with blocks', 'Theme starter content', 'canvi' ),
				'post_content' => '<!-- wp:media-text {"mediaPosition":"right","mediaId":819,"mediaLink":"","mediaType":"image","mediaSizeSlug":"large","className":"is-style-twentytwentyone-border is-style-tuneblocks-decoration is-style-canvaise-border is-style-canvi-decoration"} -->
									<div class="wp-block-media-text alignwide has-media-on-the-right is-stacked-on-mobile is-style-twentytwentyone-border is-style-tuneblocks-decoration is-style-canvaise-border is-style-canvi-decoration"><figure class="wp-block-media-text__media"><img src="'. esc_url( get_template_directory_uri() ).'/starter/images/negative-space-woman-artist-painting-studio-office-bruce-mars-1024x701.jpg" alt="" class="wp-image-819 size-large"/></figure><div class="wp-block-media-text__content"><!-- wp:group {"style":{"spacing":{"padding":{"top":"0px","right":"30px","bottom":"0px","left":"0px"}}}} -->
									<div class="wp-block-group" style="padding-top:0px;padding-right:30px;padding-bottom:0px;padding-left:0px"><div class="wp-block-group__inner-container"><!-- wp:heading {"align":"wide"} -->
									<h2 class="alignwide">To live a creative life, we must <span class="has-inline-color has-third-base-color">lose our fear</span>.</h2>
									<!-- /wp:heading -->
									
									<!-- wp:paragraph {"placeholder":"Content…","fontSize":"large"} -->
									<p class="has-large-font-size">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas quis eros sed risus sollicitudin fringilla dictum in metus. </p>
									<!-- /wp:paragraph -->
									
									<!-- wp:spacer {"height":20} -->
									<div style="height:20px" aria-hidden="true" class="wp-block-spacer"></div>
									<!-- /wp:spacer -->
									
									<!-- wp:buttons -->
									<div class="wp-block-buttons"><!-- wp:button {"backgroundColor":"primary-base","className":"is-style-canvi-large-fill"} -->
									<div class="wp-block-button is-style-canvi-large-fill"><a class="wp-block-button__link has-primary-base-background-color has-background">Read My Blog</a></div>
									<!-- /wp:button --></div>
									<!-- /wp:buttons --></div></div>
									<!-- /wp:group -->
									
									<!-- wp:paragraph -->
									<p></p>
									<!-- /wp:paragraph --></div></div>
									<!-- /wp:media-text -->
									
									<!-- wp:spacer {"height":40} -->
									<div style="height:40px" aria-hidden="true" class="wp-block-spacer"></div>
									<!-- /wp:spacer -->
									
									<!-- wp:heading {"textAlign":"center"} -->
									<h2 class="has-text-align-center">How do I plan my trip?</h2>
									<!-- /wp:heading -->
									
									<!-- wp:spacer {"height":40} -->
									<div style="height:40px" aria-hidden="true" class="wp-block-spacer"></div>
									<!-- /wp:spacer -->
									
																		<!-- wp:columns -->
									<div class="wp-block-columns"><!-- wp:column -->
									<div class="wp-block-column"><!-- wp:image {"align":"center","id":108,"sizeSlug":"large","linkDestination":"none"} -->
									<div class="wp-block-image"><figure class="aligncenter size-large"><img src="'. esc_url( get_template_directory_uri() ).'/starter/images/small-icon-1.png" alt="" class="wp-image-108"/></figure></div>
									<!-- /wp:image -->
									
									<!-- wp:spacer {"height":36} -->
									<div style="height:36px" aria-hidden="true" class="wp-block-spacer"></div>
									<!-- /wp:spacer -->
									
									<!-- wp:heading {"textAlign":"center","level":4} -->
									<h4 class="has-text-align-center">Plan a journey</h4>
									<!-- /wp:heading -->
									
									<!-- wp:spacer {"height":28} -->
									<div style="height:28px" aria-hidden="true" class="wp-block-spacer"></div>
									<!-- /wp:spacer -->
									
									<!-- wp:paragraph {"align":"center"} -->
									<p class="has-text-align-center">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas quis eros sed risus sollicitudin fringilla dictum in metus.</p>
									<!-- /wp:paragraph -->
									
									<!-- wp:spacer {"height":30} -->
									<div style="height:30px" aria-hidden="true" class="wp-block-spacer"></div>
									<!-- /wp:spacer -->
									
									<!-- wp:buttons {"contentJustification":"center"} -->
									<div class="wp-block-buttons is-content-justification-center"><!-- wp:button -->
									<div class="wp-block-button"><a class="wp-block-button__link">Read Articles</a></div>
									<!-- /wp:button --></div>
									<!-- /wp:buttons --></div>
									<!-- /wp:column -->
									
									<!-- wp:column -->
									<div class="wp-block-column"><!-- wp:image {"align":"center","id":111,"sizeSlug":"large","linkDestination":"none"} -->
									<div class="wp-block-image"><figure class="aligncenter size-large"><img src="'. esc_url( get_template_directory_uri() ).'/starter/images/small-icon-2.png" alt="" class="wp-image-111"/></figure></div>
									<!-- /wp:image -->
									
									<!-- wp:spacer {"height":36} -->
									<div style="height:36px" aria-hidden="true" class="wp-block-spacer"></div>
									<!-- /wp:spacer -->
									
									<!-- wp:heading {"textAlign":"center","level":4} -->
									<h4 class="has-text-align-center">Find a place</h4>
									<!-- /wp:heading -->
									
									<!-- wp:spacer {"height":28} -->
									<div style="height:28px" aria-hidden="true" class="wp-block-spacer"></div>
									<!-- /wp:spacer -->
									
									<!-- wp:paragraph {"align":"center"} -->
									<p class="has-text-align-center">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas quis eros sed risus sollicitudin fringilla dictum in metus.</p>
									<!-- /wp:paragraph -->
									
									<!-- wp:spacer {"height":30} -->
									<div style="height:30px" aria-hidden="true" class="wp-block-spacer"></div>
									<!-- /wp:spacer -->
									
									<!-- wp:buttons {"contentJustification":"center"} -->
									<div class="wp-block-buttons is-content-justification-center"><!-- wp:button -->
									<div class="wp-block-button"><a class="wp-block-button__link">Read Articles</a></div>
									<!-- /wp:button --></div>
									<!-- /wp:buttons --></div>
									<!-- /wp:column -->
									
									<!-- wp:column -->
									<div class="wp-block-column"><!-- wp:image {"align":"center","id":113,"width":180,"height":180,"sizeSlug":"large","linkDestination":"none"} -->
									<div class="wp-block-image"><figure class="aligncenter size-large is-resized"><img src="'. esc_url( get_template_directory_uri() ).'/starter/images/small-icon-3.png" alt="" class="wp-image-113" width="180" height="180"/></figure></div>
									<!-- /wp:image -->
									
									<!-- wp:spacer {"height":36} -->
									<div style="height:36px" aria-hidden="true" class="wp-block-spacer"></div>
									<!-- /wp:spacer -->
									
									<!-- wp:heading {"textAlign":"center","level":4} -->
									<h4 class="has-text-align-center">Go to destinations</h4>
									<!-- /wp:heading -->
									
									<!-- wp:spacer {"height":28} -->
									<div style="height:28px" aria-hidden="true" class="wp-block-spacer"></div>
									<!-- /wp:spacer -->
									
									<!-- wp:paragraph {"align":"center"} -->
									<p class="has-text-align-center">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas quis eros sed risus sollicitudin fringilla dictum in metus.</p>
									<!-- /wp:paragraph -->
									
									<!-- wp:spacer {"height":30} -->
									<div style="height:30px" aria-hidden="true" class="wp-block-spacer"></div>
									<!-- /wp:spacer -->
									
									<!-- wp:buttons {"contentJustification":"center"} -->
									<div class="wp-block-buttons is-content-justification-center"><!-- wp:button -->
									<div class="wp-block-button"><a class="wp-block-button__link">Read Articles</a></div>
									<!-- /wp:button --></div>
									<!-- /wp:buttons -->
									
									<!-- wp:paragraph -->
									<p></p>
									<!-- /wp:paragraph --></div>
									<!-- /wp:column --></div>
									<!-- /wp:columns -->
									
									<!-- wp:spacer {"height":80} -->
									<div style="height:80px" aria-hidden="true" class="wp-block-spacer"></div>
									<!-- /wp:spacer -->
									
									<!-- wp:cover {"overlayColor":"gray-base","align":"full"} -->
									<div class="wp-block-cover alignfull has-gray-base-background-color has-background-dim"><div class="wp-block-cover__inner-container"><!-- wp:spacer {"height":60} -->
									<div style="height:60px" aria-hidden="true" class="wp-block-spacer"></div>
									<!-- /wp:spacer -->
									
									<!-- wp:heading {"textAlign":"center","align":"full"} -->
									<h2 class="alignfull has-text-align-center">Latest Articles</h2>
									<!-- /wp:heading -->
									
									<!-- wp:spacer {"height":40} -->
									<div style="height:40px" aria-hidden="true" class="wp-block-spacer"></div>
									<!-- /wp:spacer -->
									
									<!-- wp:latest-posts {"postsToShow":4,"displayPostContent":true,"excerptLength":14,"displayAuthor":true,"displayPostDate":true,"postLayout":"grid","columns":2,"order":"asc","displayFeaturedImage":true,"featuredImageAlign":"left","featuredImageSizeSlug":"medium","addLinkToFeaturedImage":true,"className":"is-style-canvaise-latest-posts-borders"} /-->
									
									<!-- wp:paragraph {"align":"center","placeholder":"Write title…","fontSize":"large"} -->
									<p class="has-text-align-center has-large-font-size"></p>
									<!-- /wp:paragraph --></div></div>
									<!-- /wp:cover -->
									
									<!-- wp:cover {"overlayColor":"gray-base","align":"full","className":"is-style-canvi-half-background-top"} -->
									<div class="wp-block-cover alignfull has-gray-base-background-color has-background-dim is-style-canvi-half-background-top"><div class="wp-block-cover__inner-container"><!-- wp:columns {"className":"is-style-canvaise-columns-overlap is-style-canvi-columns-overlap"} -->
									<div class="wp-block-columns is-style-canvaise-columns-overlap is-style-canvi-columns-overlap"><!-- wp:column {"width":"40%"} -->
									<div class="wp-block-column" style="flex-basis:40%"><!-- wp:image {"align":"center","id":885,"sizeSlug":"large","linkDestination":"none","className":"is-style-canvaise-image-decoration"} -->
									<div class="wp-block-image is-style-canvaise-image-decoration"><figure class="aligncenter size-large"><img src="'. esc_url( get_template_directory_uri() ).'/starter/images/negative-space-yoga-posing-tattooed-woman-472x708-1.jpg" alt="" class="wp-image-885"/></figure></div>
									<!-- /wp:image --></div>
									<!-- /wp:column -->
									
									<!-- wp:column -->
									<div class="wp-block-column"><!-- wp:group {"style":{"spacing":{"padding":{"top":"40px","right":"40px","bottom":"40px","left":"40px"}}},"backgroundColor":"secondary-base","className":"is-style-default"} -->
									<div class="wp-block-group is-style-default has-secondary-base-background-color has-background" style="padding-top:40px;padding-right:40px;padding-bottom:40px;padding-left:40px"><div class="wp-block-group__inner-container"><!-- wp:heading {"level":6,"textColor":"invert"} -->
									<h6 class="has-invert-color has-text-color">About Me</h6>
									<!-- /wp:heading -->
									
									<!-- wp:heading {"level":3,"textColor":"invert"} -->
									<h3 class="has-invert-color has-text-color"><strong>PHOTOGRAPHER &amp; BLOGGER</strong></h3>
									<!-- /wp:heading -->
									
									<!-- wp:paragraph {"textColor":"invert"} -->
									<p class="has-invert-color has-text-color">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc vehicula libero nec ipsum bibendum rhoncus. In fermentum non orci nec pellentesque. Donec sollicitudin feugiat ante, vel feugiat dolor porta eu. Pellentesque elementum ligula metus, id sagittis ligula sagittis nec.</p>
									<!-- /wp:paragraph -->
									
									<!-- wp:buttons -->
									<div class="wp-block-buttons"><!-- wp:button {"backgroundColor":"primary-base"} -->
									<div class="wp-block-button"><a class="wp-block-button__link has-primary-base-background-color has-background">Contact Me</a></div>
									<!-- /wp:button --></div>
									<!-- /wp:buttons --></div></div>
									<!-- /wp:group --></div>
									<!-- /wp:column --></div>
									<!-- /wp:columns --></div></div>
									<!-- /wp:cover -->'

			),
			'about-my-job' => array(
				'post_type'    => 'page',
				'post_title'   => esc_html_x( 'About Me', 'Theme starter content', 'canvi' )
			),
			'features'=> array(
				'post_type'    => 'page',
				'post_title'   => esc_html_x( 'Features', 'Theme starter content', 'canvi' )
			),
			'blog'=> array(
				'post_type'    => 'page',
				'post_title'   => esc_html_x( 'Blog', 'Theme starter content', 'canvi' )
			),
			'portfolio'=> array(
				'post_type'    => 'page',
				'post_title'   => esc_html_x( 'Portfolio', 'Theme starter content', 'canvi' )
			),
			'contact' => array(
				'post_type'    => 'page',
				'post_title'   => esc_html_x( 'Contact', 'Theme starter content', 'canvi' )
			),
		),

		// Default to a static front page and assign the front and posts pages.
		'options'   => array(
			'show_on_front'  => 'page',
			'page_on_front'  => '{{front}}',
			'page_for_posts' => '{{blog}}',
		),

		// Set up nav menus for each of the two areas registered in the theme.
		'nav_menus' => array(
			// Assign a menu to the "primary" location.
			'primary' => array(
				'name'  => esc_html__( 'Primary menu', 'canvi' ),
				'items' => array(
					'link_home',
					// Note that the core "home" page is actually a link in case a static front page is not used.
					'page_about-my-job',
					'page_features',
					'page_blog',
					'page_portfolio',
					'page_contact'
				),
			),

			'footer_pages' => array(
				'name'  => esc_html__( 'Footer menu', 'canvi' ),
				'items' => array(
					'link_home',
					// Note that the core "home" page is actually a link in case a static front page is not used.
					'page_about-my-job',
					'page_features',
					'page_blog',
					'page_portfolio',
					'page_contact',
				),
			),

			// Assign a menu to the "footer" location.
			'social_menu'  => array(
				'name'  => esc_html__( 'Social menu', 'canvi' ),
				'items' => array(
					'link_facebook',
					'link_instagram',
					'link_twitter',
					'link_pinterest',
				),
			),
		),
	);

	/**
	 * Filters the array of starter content.
	 *
	 * @param array $starter_content Array of starter content.
	 *
	 *
	 *
	 */
	return apply_filters( 'canvi_starter_content', $starter_content );
}
