<?php
/**
 * Template part for displaying page content in page.php
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'canvi-l-page' ); ?>>

	<?php if ( ! is_front_page() && ! is_page_template('templates/template-no-title.php' ) ) : ?>
        <header class="canvi-l-page__header entry-header">
			<?php get_template_part( 'template-parts/header/entry-header' ); ?>
			<?php canvi_post_thumbnail(); ?>
        </header>

	<?php endif; ?>
    <div class="entry-content canvi-l-page__content">
		<?php
		the_content();

		wp_link_pages(
			array(
				'before'   => '<nav class="page-links" aria-label="' . esc_attr__( 'Page', 'canvi' ) . '">',
				'after'    => '</nav>',
				/* translators: %: page number. */
				'pagelink' => esc_html__( 'Page %', 'canvi' ),
			)
		);
		?>
    </div><!-- .entry-content -->

	<?php if ( get_edit_post_link() ) : ?>
        <footer class="entry-footer default-max-width">
			<?php
			edit_post_link(
				sprintf(
				/* translators: %s: Name of current post. Only visible to screen readers. */
					esc_html__( 'Edit %s', 'canvi' ),
					'<span class="screen-reader-text">' . get_the_title() . '</span>'
				),
				'<span class="edit-link">',
				'</span>'
			);
			?>
        </footer><!-- .entry-footer -->
	<?php endif; ?>
</article><!-- #post-<?php the_ID(); ?> -->
