<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'canvi-l-article' ); ?>>

    <header class="canvi-l-article__header entry-header alignwide">
		<?php the_title( '<h1 class="canvi-l-article__header__title entry-title">', '</h1>' ); ?>
        <div class="canvi-l-article__header__top-meta">
            <div class="canvi-l-article__header__top-meta__left"><?php canvi_action_share_buttons(); ?></div>
            <div class="canvi-l-article__header__top-meta__right"><?php canvi_single_meta_categories() ?></div>
        </div>
		<?php canvi_post_thumbnail(); ?>

        <div class="canvi-l-article__header__meta default-max-width">
            <div class="canvi-l-article__header__meta__left">
                <div class="canvi-c-author-info">


                    <div class="canvi-c-author-info__avatar"><?php echo get_avatar( get_the_author_meta( 'ID' ), '40' ); ?></div>
                    <span class="canvi-c-author-info__name"><?php printf( /* translators: 1: Author name. */ esc_html__( 'By %s', 'canvi' ), get_the_author() ); ?></span>
                </div>
                <div class="entry-meta">
					<?php canvi_posted_on(); ?>
                </div>
            </div>


            <div class="canvi-l-article__header__meta__right">

                <div class="canvi-a-icon-label">
					<?php echo canvi_get_icon_svg( 'ui', 'comments' ); // phpcs:ignore WordPress.Security.EscapeOutput ?>
                    <span class="canvi-a-icon-label__text"><?php echo get_comments_number() ?></span>
                </div>

            </div>
        </div>
    </header>

    <div class="entry-content">
		<?php
		the_content();

		wp_link_pages(
			array(
				'before'   => '<nav class="page-links" aria-label="' . esc_attr__( 'Page', 'canvi' ) . '">',
				'after'    => '</nav>',
				/* translators: %: page number. */
				'pagelink' => esc_html__( 'Page %', 'canvi' ),
			)
		);
		?>
    </div><!-- .entry-content -->

    <footer class="canvi-l-article__footer entry-footer default-max-width">
		<?php canvi_single_meta_footer(); ?>
    </footer><!-- .entry-footer -->

	<?php if ( ! is_singular( 'attachment' ) ) : ?>
		<?php get_template_part( 'template-parts/post/author-bio' ); ?>
	<?php endif; ?>

</article><!-- #post-<?php the_ID(); ?> -->
