<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'canvi-c-article-box -full-width-thumbnail' ); ?>>
<header class="canvi-c-article__header entry-header">
	<?php if ( is_singular() ) : ?>
		<?php the_title( '<h1 class="entry-title default-max-width">', '</h1>' ); ?>
	<?php else : ?>
		<?php the_title( sprintf( '<h2 class="canvi-c-article__header__title entry-title default-max-width"><a href="%s">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
	<?php endif; ?>


</header><!-- .entry-header -->

<div class="canvi-c-article-box__thumbnail-wrapper">
	<?php canvi_post_thumbnail(); ?>
</div>
<div class="canvi-c-article-box__content-wrapper">
    <div class="canvi-c-article-box__content-wrapper__content entry-content">
		<?php
		the_content(
			canvi_continue_reading_text()
		);

		wp_link_pages(
			array(
				'before'   => '<nav class="page-links" aria-label="' . esc_attr__( 'Page', 'canvi' ) . '">',
				'after'    => '</nav>',
				/* translators: %: page number. */
				'pagelink' => esc_html__( 'Page %', 'canvi' ),
			)
		);

		?>
    </div><!-- .entry-content -->


    <footer class="canvi-c-article-box__content-wrapper__footer entry-footer default-max-width">
		<?php canvi_posted_by(); ?>
    </footer><!-- .entry-footer -->
</div>
</article><!-- #post-<?php the_ID(); ?> -->
