<?php
/**
 * Displays the site navigation.
 *
 */

?>


<?php if ( has_nav_menu( 'primary' ) ) : ?>

    <nav id="site-navigation" class="canvi-s-main-header__navigation primary-navigation js-mobile-menu" role="navigation"
         aria-label="<?php esc_attr_e( 'Primary menu', 'canvi' ); ?>">
        <div class="canvi-s-main-header__hamburger menu-button-container">
            <button id="primary-mobile-menu"
                    class="canvi-a-button-icon canvi-c-menu-button has-invert-background-color has-text-color js-toggle-mobile"
                    aria-controls="primary-menu-list" aria-expanded="false">
				<span class="dropdown-icon canvi-c-menu-button__open">
					<?php echo canvi_get_icon_svg( 'ui', 'menu', 32 ); // phpcs:ignore WordPress.Security.EscapeOutput ?>
				</span>
                <span class="canvi-c-menu-button__close">
					<?php echo canvi_get_icon_svg( 'ui', 'close', 32 ); // phpcs:ignore WordPress.Security.EscapeOutput ?>
				</span>
            </button><!-- #primary-mobile-menu -->

        </div><!-- .menu-button-container -->

        <div class="canvi-s-main-header__navigation__menu__container primary-menu-container">

            <div class="canvi-s-main-header__navigation__menu__container__mobile-search u-hide-on-desktop">
				<?php canvi_action_navbar_searchbar() ?>
            </div>

			<?php
			wp_nav_menu(
				array(
					'theme_location' => 'primary',
					'container'      => '',
					'menu_class'     => 'canvi-s-main-header__navigation__menu__container__mobile-menu canvi-s-main-header__navigation__menu__wrapper js-primary-menu',
					'items_wrap'     => '<ul id="primary-menu-list" class="%2$s">%3$s</ul>',
					'fallback_cb'    => FALSE,
				)
			);
			?>

			<?php if ( has_nav_menu( 'social_menu' ) ) : ?>

                <div class="canvi-c-social-menu u-hide-on-desktop">
					<?php wp_nav_menu( array( 'items_wrap'     => '%3$s',
					                          'walker'         => new Canvi_WO_Nav_Social_Walker(),
					                          'container'      => TRUE,
					                          'menu_class'     => '',
					                          'theme_location' => 'social_menu',
					                          'fallback_cb'    => FALSE
					) ); ?>
                </div>

			<?php endif; ?>

            <div class="canvi-s-main-header__navigation__menu__container__toggle-menu">

				<?php canvi_action_toggle_search_menu() ?>

            </div>

        </div>


    </nav><!-- #site-navigation -->
    <div class="canvi-s-main-header__search-bar js-search-box-to-expand js-modal-component u-hidden u-fill-overlay__inner -right">
		<?php canvi_action_search_full_navbar() ?>
    </div>

<?php endif; ?>
