<?php
/**
 * The template for displaying author info below posts.
 *
 */

?>
<?php if ( (bool) get_the_author_meta( 'description' ) && post_type_supports( get_post_type(), 'author' ) && canvi_show_author_bio() ) : ?>
    <div class="author-bio <?php echo get_option( 'show_avatars' ) ? 'show-avatars' : ''; ?>">
		<?php echo get_avatar( get_the_author_meta( 'ID' ), '85' ); ?>
        <div class="author-bio-content">
            <h5 class="author-title"><?php printf( /* translators: 1: Author name. */ esc_html__( 'By %s', 'canvi' ), get_the_author() ); ?></h5>
            <p class="author-description"> <?php the_author_meta( 'description' ); ?></p><!-- .author-description -->
			<?php
			printf(
			/* translators: 1: Link to authors posts. 2: Author name. */
				'<a class="canvi-a-button author-link -outlined" href="%1$s" rel="author">' . esc_html__( 'View all of %2$s\'s posts.', 'canvi' ) . '</a>',
				esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
				get_the_author()
			);
			?>
        </div><!-- .author-bio-content -->
    </div><!-- .author-bio -->
<?php endif; ?>
